öffnen Tags

öffnen Kategorien

Vom WebReader vorlesen lassen

Firefox Extension does not provide secure updates

17. Nov 2009, 18:50

Der AddOn-Sammel-Server von Mozilla war gerade down, aber ich wollte unbedingt ein neues Plugin ausprobieren, also holte ich mir die Software vom Entwickler direkt ab. Als ich es aber installieren wollte, bekam ich den Fehler:

1
"Header Spy" will not be installed because it does not provide secure updates

Mmmh, entweder warten bis der Mozilla-Server wieder angeschmissen wird oder einen Weg suchen um den Sicherheitscheck vom Firefox zu umgehen. Da warten nicht mein Ding ist fiel die Entscheidung leicht, bin auch schnell fündig geworden:

  1. Die Konfiguration des Browser öffnen (in der Adressleiste about:config eingeben)
  2. Rechtsklick in die Eigenschaftenliste und New -> Boolean auswählen um eine neue Eigenschaft anzulegen
  3. Der Name der Eigenschaft ist 'extensions.checkUpdateSecurity'
  4. Und als Wert wollen wir natürlich 'false'

Fertig. Jetzt kann man das Plugin problemlos installieren. Es sei angemerkt, dass Firefox mit der Warnung natürlich vollkommen Recht hat, man sollte sich überlegen ob es wirklich Sinnvoll ist diese Lücke in den Browser zu hacken, aber das muss man mit sich selbst ausmachen ;-)

Abschalten kann man das Feature, indem man der Eigenschaft den Wert true gibt. Der AddOn-Manager meckert fortan auch immer über den Hack und bietet einen Button an, um das Loch per Klick zu schliessen.

Tags: Firefox Software

Kategorien: Software

© 2009-2018 by Martin Scharm